Last Comment Bug 766985 - Don't show the warning triangle icon for sites with mixed content
: Don't show the warning triangle icon for sites with mixed content
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 16
Assigned To: Stephen Horlander [:shorlander]
:
Mentors:
Depends on:
Blocks: 747090
  Show dependency treegraph
 
Reported: 2012-06-21 08:15 PDT by Stephen Horlander [:shorlander]
Modified: 2013-12-27 14:36 PST (History)
7 users (show)
jaws: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed


Attachments
Remove Mixed State Icon - Beta (8.37 KB, patch)
2012-06-22 12:40 PDT, Stephen Horlander [:shorlander]
dao+bmo: review+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review
Remove Mixed State Icon - Aurora (8.48 KB, patch)
2012-06-22 12:41 PDT, Stephen Horlander [:shorlander]
dao+bmo: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Review
Remove Mixed State Icon - Nightly (7.78 KB, patch)
2012-06-22 12:42 PDT, Stephen Horlander [:shorlander]
dao+bmo: review+
Details | Diff | Review

Description Stephen Horlander [:shorlander] 2012-06-21 08:15:21 PDT
The warning icon is too alarming and frequent, turning up on any https site that displays http images.

Until we can differentiate between different kinds of mixed content we should just show the default globe instead of the lock.
Comment 1 Madhava Enros [:madhava] 2012-06-21 08:22:42 PDT
Agreed - let's get to the right UI in the next version rather than doing this now.
Comment 2 Stephen Horlander [:shorlander] 2012-06-22 12:40:43 PDT
Created attachment 635866 [details] [diff] [review]
Remove Mixed State Icon - Beta

[Approval Request Comment]
Bug caused by bug 747090 and bug 755429
User impact if declined: Warning icon desensitization, unnecessary anxiety and confusion about meaning
Risk to taking this patch: Low risk CSS removal and image deletion
String or UUID changes made by this patch: None
Comment 3 Stephen Horlander [:shorlander] 2012-06-22 12:41:31 PDT
Created attachment 635867 [details] [diff] [review]
Remove Mixed State Icon - Aurora
Comment 4 Stephen Horlander [:shorlander] 2012-06-22 12:42:18 PDT
Created attachment 635869 [details] [diff] [review]
Remove Mixed State Icon - Nightly
Comment 5 Stephen Horlander [:shorlander] 2012-06-22 12:46:41 PDT
Comment on attachment 635867 [details] [diff] [review]
Remove Mixed State Icon - Aurora

[Approval Request Comment]
Bug caused by bug 747090 and bug 755429
User impact if declined: Warning icon desensitization, unnecessary anxiety and confusion about meaning
Risk to taking this patch: Low risk CSS removal and image deletion
String or UUID changes made by this patch: None
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-06-22 15:46:13 PDT
Comment on attachment 635866 [details] [diff] [review]
Remove Mixed State Icon - Beta

*stamp*
Comment 7 Jared Wein [:jaws] (please needinfo? me) 2012-06-22 22:40:35 PDT
Pushed to mozilla-inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/0880a8ce3407
Comment 8 Jared Wein [:jaws] (please needinfo? me) 2012-06-22 22:46:29 PDT
Pushed to mozilla-beta:
https://hg.mozilla.org/releases/mozilla-beta/rev/3b1c3202112f
Comment 9 Jared Wein [:jaws] (please needinfo? me) 2012-06-22 22:49:18 PDT
Pushed to mozilla-aurora:
https://hg.mozilla.org/releases/mozilla-aurora/rev/2107bc8dd678
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-06-23 05:43:36 PDT
https://hg.mozilla.org/mozilla-central/rev/0880a8ce3407

Note You need to log in before you can comment on or make changes to this bug.